"Some conflicts on the transaction.." opensuse12.2 Please, Help me.

openSUSE12.2 . YaST. onlineupdate
Have this Attantion:


There are some conflict on the transaction that must be solved manualy
- nothing provides gptfdisk needed by udisks2-1.97.0-2.9.1.i586
( ) Follow actions will be donedeinstallation of udisks2-1.97.0-2.5.1.i586
deinstallation of gnome-disk-utility-3.4.1.-2.1.2.i586

( ) do not install patch:openSUSE-2013-25-1.noarch
( ) break udisks2-1.97.0-2.5.1.i586 by ignoring some of its dependencies


I don’t understand - what exactly to choose.
My work desktop is: xfce. Gnome I use very seldom

Serg

Please, Help me.

gptfdisk is in OSS online repository. I do not know if it is included on installation DVD. You need to either configure online repo or simply download and install it.

This is my repolist:


 # zypper lr
#  | Alias                            | Name                               | Enabled | Refresh
---+----------------------------------+------------------------------------+---------+--------
 1 | google-chrome                    | google-chrome                      | Yes     | Yes    
 2 | google-talkplugin                | google-talkplugin                  | Yes     | Yes    
 3 | home:Lazy_Kent                   | home:Lazy_Kent                     | Yes     | Yes    
 4 | libdvdcss                        | libdvdcss                          | Yes     | Yes    
 5 | novell-client-2.0-sp2-sle11-i586 | novell-client-2.0-sp2-sle11-i586   | Yes     | No     
 6 | openSUSE-12.2-1.6                | openSUSE-12.2-1.6                  | Yes     | No     
 7 | packman                          | packman                            | Yes     | Yes    
 8 | repo-debug                       | openSUSE-12.2-Debug                | No      | Yes    
 9 | repo-debug-update                | openSUSE-12.2-Update-Debug         | No      | Yes    
10 | repo-debug-update-non-oss        | openSUSE-12.2-Update-Debug-Non-Oss | No      | Yes    
11 | repo-source                      | openSUSE-12.2-Source               | No      | Yes    
12 | repo-update                      | openSUSE-12.2-Update               | Yes     | Yes    
13 | repo-update-non-oss              | openSUSE-12.2-Update-Non-Oss       | Yes     | Yes    



And this is result :


 # zypper install gptfdisk
Loading repository data...
Reading installed packages...
'gptfdisk' not found in package names. Trying capabilities.
No provider of 'gptfdisk' found.
Resolving package dependencies...


Nothing to do.



Serg

Please show output of “zypper lr -u”.

This is result:


 # zypper lr -u
#  | Alias                            | Name                               | Enabled | Refresh | URI                                                                             
---+----------------------------------+------------------------------------+---------+---------+---------------------------------------------------------------------------------
 1 | google-chrome                    | google-chrome                      | Yes     | Yes     | http://dl.google.com/linux/chrome/rpm/stable/i386                               
 2 | google-talkplugin                | google-talkplugin                  | Yes     | Yes     | http://dl.google.com/linux/talkplugin/rpm/stable/i386                           
 3 | home:Lazy_Kent                   | home:Lazy_Kent                     | Yes     | Yes     | http://download.opensuse.org/repositories/home:/Lazy_Kent/openSUSE_12.2/        
 4 | libdvdcss                        | libdvdcss                          | Yes     | Yes     | http://opensuse-guide.org/repo/12.2/                                            
 5 | novell-client-2.0-sp2-sle11-i586 | novell-client-2.0-sp2-sle11-i586   | Yes     | No      | iso:///?iso=novell-client-2.0-sp2-sle11-i586.iso&url=file:///home/ksr/bin/isomy/
 6 | openSUSE-12.2-1.6                | openSUSE-12.2-1.6                  | Yes     | No      | cd:///?devices=/dev/disk/by-id/ata-Optiarc_DVD_RW_AD-7240S,/dev/sr0             
 7 | packman                          | packman                            | Yes     | Yes     | http://packman.inode.at/suse/openSUSE_12.2/                                     
 8 | repo-debug                       | openSUSE-12.2-Debug                | No      | Yes     | http://download.opensuse.org/debug/distribution/12.2/repo/oss/                  
 9 | repo-debug-update                | openSUSE-12.2-Update-Debug         | No      | Yes     | http://download.opensuse.org/debug/update/12.2/                                 
10 | repo-debug-update-non-oss        | openSUSE-12.2-Update-Debug-Non-Oss | No      | Yes     | http://download.opensuse.org/debug/update/12.2-non-oss/                         
11 | repo-source                      | openSUSE-12.2-Source               | No      | Yes     | http://download.opensuse.org/source/distribution/12.2/repo/oss/                 
12 | repo-update                      | openSUSE-12.2-Update               | Yes     | Yes     | http://download.opensuse.org/update/12.2/                                       
13 | repo-update-non-oss              | openSUSE-12.2-Update-Non-Oss       | Yes     | Yes     | http://download.opensuse.org/update/12.2-non-oss/      

You do not have main OSS repo and package apparently is not included on DVD. URL is Index of /distribution/12.2/repo/oss

Ok.
Add OSS:


 # zypper lr -u
#  | Alias                            | Name                               | Enabled | Refresh | URI                                                                             
---+----------------------------------+------------------------------------+---------+---------+---------------------------------------------------------------------------------
 1 | OpenSUSE12.2_OSS                 | OpenSUSE12.2_OSS                   | Yes     | Yes     | http://download.opensuse.org/distribution/12.2/repo/oss/                        
 2 | google-chrome                    | google-chrome                      | Yes     | Yes     | http://dl.google.com/linux/chrome/rpm/stable/i386                               
 3 | google-talkplugin                | google-talkplugin                  | Yes     | Yes     | http://dl.google.com/linux/talkplugin/rpm/stable/i386                           
 4 | home:Lazy_Kent                   | home:Lazy_Kent                     | Yes     | Yes     | http://download.opensuse.org/repositories/home:/Lazy_Kent/openSUSE_12.2/        
 5 | libdvdcss                        | libdvdcss                          | Yes     | Yes     | http://opensuse-guide.org/repo/12.2/                                            
 6 | novell-client-2.0-sp2-sle11-i586 | novell-client-2.0-sp2-sle11-i586   | Yes     | No      | iso:///?iso=novell-client-2.0-sp2-sle11-i586.iso&url=file:///home/ksr/bin/isomy/
 7 | openSUSE-12.2-1.6                | openSUSE-12.2-1.6                  | Yes     | No      | cd:///?devices=/dev/disk/by-id/ata-Optiarc_DVD_RW_AD-7240S,/dev/sr0             
 8 | packman                          | packman                            | Yes     | Yes     | http://packman.inode.at/suse/openSUSE_12.2/                                     
 9 | repo-debug                       | openSUSE-12.2-Debug                | No      | Yes     | http://download.opensuse.org/debug/distribution/12.2/repo/oss/                  
10 | repo-debug-update                | openSUSE-12.2-Update-Debug         | No      | Yes     | http://download.opensuse.org/debug/update/12.2/                                 
11 | repo-debug-update-non-oss        | openSUSE-12.2-Update-Debug-Non-Oss | No      | Yes     | http://download.opensuse.org/debug/update/12.2-non-oss/                         
12 | repo-source                      | openSUSE-12.2-Source               | No      | Yes     | http://download.opensuse.org/source/distribution/12.2/repo/oss/                 
13 | repo-update                      | openSUSE-12.2-Update               | Yes     | Yes     | http://download.opensuse.org/update/12.2/                                       
14 | repo-update-non-oss              | openSUSE-12.2-Update-Non-Oss       | Yes     | Yes     | http://download.opensuse.org/update/12.2-non-oss/    

After this Update = OK
Thank your , arvidjaar !

Serg

On 01/29/2013 09:46 AM, arvidjaar wrote:
>
> You do not have main OSS repo and package apparently is not included on
> DVD. URL is ‘Index of /distribution/12.2/repo/oss’
> (http://download.opensuse.org/distribution/12.2/repo/oss/)

both oss and non-oss certainly are default installed as enabled repos
in 12.2

so, the OP must have removed them…
or has a broken install (maybe due to corrupt install media)
or has suffered some catastrophic damage to the system configuration

also, user is not (but should) follow the very sound advice found in
the paragraph beginning with “IMPORTANT” in this post:
http://tinyurl.com/33qc9vu


dd
http://tinyurl.com/DD-Caveat

Thank you.
I read and made so:
It is correct now ?

 
# zypper lr# | Alias               | Name                         | Enabled | Refresh
--+---------------------+------------------------------+---------+--------
1 | OpenSUSE12.2_OSS    | OpenSUSE12.2_OSS             | Yes     | Yes    
2 | google-chrome       | google-chrome                | Yes     | Yes    
3 | google-talkplugin   | google-talkplugin            | Yes     | Yes    
4 | libdvdcss           | libdvdcss                    | Yes     | Yes    
5 | openSUSE-12.2-1.6   | openSUSE-12.2-1.6            | Yes     | No     
6 | packman             | packman                      | Yes     | Yes    
7 | repo-source         | openSUSE-12.2-Source         | No      | Yes    
8 | repo-update         | openSUSE-12.2-Update         | Yes     | Yes    
9 | repo-update-non-oss | openSUSE-12.2-Update-Non-Oss | Yes     | Yes    

On 01/29/2013 11:36 AM, skoltogyan wrote:
>
> dd;2522924 Wrote:
>> On 01/29/2013 09:46 AM, arvidjaar wrote:
>>>
>>> You do not have main OSS repo and package apparently is not included
>> on
>>> DVD. URL is ‘Index of /distribution/12.2/repo/oss’
>>> (‘Index of /distribution/12.2/repo/oss’
>> (http://download.opensuse.org/distribution/12.2/repo/oss/))
>>
>> both oss and non-oss certainly are default installed as enabled repos
>> in 12.2
>>
>> so, the OP must have removed them…
>> or has a broken install (maybe due to corrupt install media)
>> or has suffered some catastrophic damage to the system configuration
>>
>> also, user is not (but should) follow the very sound advice found in
>> the paragraph beginning with “IMPORTANT” in this post:
>> ‘NEW Users - openSUSE Pre-install (general) - PLEASE READ’
>> (http://tinyurl.com/33qc9vu)
>>
>> –
>> dd
>> ‘DD Caveat’ (http://tinyurl.com/DD-Caveat)
>
> Thank you.
> I read and made so:
> It is correct now ?
>
> Code:
> --------------------
>
> # zypper lr# | Alias | Name | Enabled | Refresh
> --±--------------------±-----------------------------±--------±-------
> 1 | OpenSUSE12.2_OSS | OpenSUSE12.2_OSS | Yes | Yes
> 2 | google-chrome | google-chrome | Yes | Yes
> 3 | google-talkplugin | google-talkplugin | Yes | Yes
> 4 | libdvdcss | libdvdcss | Yes | Yes
> 5 | openSUSE-12.2-1.6 | openSUSE-12.2-1.6 | Yes | No
> 6 | packman | packman | Yes | Yes
> 7 | repo-source | openSUSE-12.2-Source | No | Yes
> 8 | repo-update | openSUSE-12.2-Update | Yes | Yes
> 9 | repo-update-non-oss | openSUSE-12.2-Update-Non-Oss | Yes | Yes

if you want to follow the best advice i know to keep stable, reliable
and dependable you will disable these above: 2, 3, 4, 5…

and, then there is also no need to refresh 1, 2, 3, 4, 5, and 7 so if
you stop refreshing them every time you install or update then
everything will go faster…

and, still you miss non-oss…i don’t have the URL, sorry…i guess it
is probably:

http://download.opensuse.org/debug/distribution/12.2/repo/non-oss/

and you should add it, and enable it, but don’t set it to refresh since
(like oss) it never changes…


dd
openSUSE®, the “German Engineered Automobile” of operating systems!
http://tinyurl.com/DD-Caveat